# Arduino Wordclock Project

This wordclock in generally works as the thousands of other DIY projects, I just added some features mostly based on separating all LEDs to use them as 8x5 segment display.

## hardware used
* Ardunio Nano
* WS2812B LED strip (121 LEDs)
* DS3231 RTC with AT24C32 eeprom
* push buttons (5x)

## modes
* wordclock *german layout in three text modes*
* temperature (based on the DS3232 tempeature feature)
* seconds
* date *dd.mm.yyyy as running text*
* text *256 chars to be set as running text*
* LED mode *just demo to test all LEDs and set color*

## initial eeprom setup

Due to lack of memory on Arduino Nano the 8x5 ASCII table must be written to the AT24C32 eeeprom. Threfore the ascii_memory sketch (located in it's folder) should be uploaded first to update the eeprom. Once this done the wordclock sketch can be uploaded.