#ifndef AT24C32_h
#define AT24C32_h

#include <Arduino.h>

class AT24C32
{
public:
  void begin();
  uint8_t read(int address);
  void write(int address, uint8_t data);
};

// I2C address
#define AT24C32_I2C_ADDRESS 0x57

#define BRIGHTNESS_ADDRESS 0x0A00

#define COLOR_ADDRESS 0x0A01

#define VIEW_STATE_ADDRESS 0x0A02

#define TIME_MODE_ADDRESS 0x0A03

#define TEXT_SIZE_ADDRESS 0x0B00
#define TEXT_ADDRESS 0x0B01

#endif
