
#include <ControlStates.h>

ControlSecondsState::ControlSecondsState(DS3231 &_ds3231)
{
  ds3231 = _ds3231;
}

void ControlSecondsState::leftPressed(ViewStates &viewState, ControlStates &controlState){};

void ControlSecondsState::rightPressed(ViewStates &viewState, ControlStates &controlState){};

void ControlSecondsState::enterPressed(ViewStates &viewState, ControlStates &controlState)
{
  controlState = ControlStates::VIEW;
};

void ControlSecondsState::decrementPressed(ViewStates &viewState, ControlStates &controlState)
{
  ds3231.decrementSeconds();
};

void ControlSecondsState::incrementPressed(ViewStates &viewState, ControlStates &controlState)
{
  ds3231.incrementSeconds();
};