#ifndef States_h
#define States_h

/**
  view states
 */
enum class ViewStates
{
  TIME,
  SECONDS,
  TEMPERATURE,
  DATE,
  TEXT,
  LED_DEMO,
  REMOTE
};

/**
  control states
 */
enum class ControlStates
{
  VIEW,
  TIME_HOURS,
  TIME_MINUTES,
  TIME_MODE,
  TIME_SECONDS,
  COLOR_R,
  COLOR_G,
  COLOR_B,
  DATE_DATE,
  DATE_MONTH,
  DATE_YEAR,
  TEXT
};

/**
  remote control states
 */
enum class RemoteStates
{
  VIEW,
  TIME,
  COLOR,
  DATE,
  TEXT,
  DRAW
};

#endif